---
title: Get global schema validation settings
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Schema Validation](https://developers.cloudflare.com/api/go/resources/schema_validation)

[Settings](https://developers.cloudflare.com/api/go/resources/schema_validation/subresources/settings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get global schema validation settings

client.SchemaValidation.Settings.Get(ctx, query) (\*[SettingGetResponse](<https://developers.cloudflare.com/api/go/resources/schema_validation#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/schema\_validation/settings

Retrieves the current global schema validation settings for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Account API Gateway Read``Domain API Gateway``Domain API Gateway Read`

##### ParametersExpand Collapse

<details>

<summary>

query SettingGetParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20schema_validation.settings%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20schema_validation.settings%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SettingGetResponse struct{…}

</summary>

<details>

<summary>

ValidationDefaultMitigationAction SettingGetResponseValidationDefaultMitigationAction

The default mitigation action used

Mitigation actions are as follows:

- <code>log</code> - log request when request does not conform to schema
- <code>block</code> - deny access to the site when request does not conform to schema
- <code>none</code> - skip running schema validation

</summary>

One of the following:

const SettingGetResponseValidationDefaultMitigationActionNone SettingGetResponseValidationDefaultMitigationAction = "none"

<a href="#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)%20%3E%20(property)%20validation_default_mitigation_action%20%3E%20(member)%200">Link to this property</a>

const SettingGetResponseValidationDefaultMitigationActionLog SettingGetResponseValidationDefaultMitigationAction = "log"

<a href="#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)%20%3E%20(property)%20validation_default_mitigation_action%20%3E%20(member)%201">Link to this property</a>

const SettingGetResponseValidationDefaultMitigationActionBlock SettingGetResponseValidationDefaultMitigationAction = "block"

<a href="#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)%20%3E%20(property)%20validation_default_mitigation_action%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)%20%3E%20(property)%20validation_default_mitigation_action">Link to this property</a>

ValidationOverrideMitigationAction SettingGetResponseValidationOverrideMitigationActionOptional

When not null, this overrides global both zone level and operation level mitigation actions. This can serve as a quick way to disable schema validation for the whole zone.

- <code>"none"</code> will skip running schema validation entirely for the request

<a href="#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)%20%3E%20(property)%20validation_override_mitigation_action">Link to this property</a>

</details>

[Link to this property](<#(resource)%20schema_validation.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)>)

### Get global schema validation settings

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/schema_validation"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  setting, err := client.SchemaValidation.Settings.Get(context.TODO(), schema_validation.SettingGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", setting.ValidationDefaultMitigationAction)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "validation_default_mitigation_action": "block",
    "validation_override_mitigation_action": "none"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "validation_default_mitigation_action": "block",
    "validation_override_mitigation_action": "none"
  },
  "success": true
}
```